<?php
/**
 * The template for displaying the footer
 * Contains the closing of the #content div and all content after.
 * @package Serifi
 * @since 1.0.0
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
		</main><!-- #main -->
	</div><!-- #content -->

	<?php 
	
	
	if(is_single()) {	
	
		 // action hook for any content placed before post navigation
		do_action ( 'serifi_before_post_nav' );
		
		// load the post navigation
		if( !esc_attr(get_theme_mod('serifi_hide_post_nav', 0))) {	
		echo '<div id="post-navigation-wrapper"><div id="post-navigation-inner">';
			serifi_post_pagination();	
		echo '</div></div>';
		}
	}
	?>

	<?php  // action hook for any content placed before the bottom sidebar section
		do_action ( 'serifi_before_bottom_sidebar' ); ?>
		
	<?php get_template_part( 'template-parts/sidebar', 'bottom' ); ?>
  
	<footer id="colophon" class="site-footer" role="contentinfo">
	<section id="colophon-inner">
	
		<?php get_template_part( 'template-parts/sidebar', 'footer' ); ?>
	
			<?php // Social menu
			if ( has_nav_menu( 'footer-social' ) ) { 
				echo ' <nav id="footer-social">';
					wp_nav_menu( array(
					'theme_location' => 'footer-social',
					'menu_class'  => 'social-links',
					'container' => false,
					'echo' => true,
					'link_before' => '<span class="social-profile-label">',
					'link_after' => '</span>',
					'depth' => 1,
					)
					);
				echo '</nav>';
				}

			// Footer Menu
			if ( has_nav_menu( 'footer' ) ) { 
			echo '<nav aria-label="' , esc_attr_e( 'Footer menu', 'serifi' ) ,'" class="footer-navigation"><ul id="footer-navigation-wrapper">';
		
					wp_nav_menu(
						array(
							'theme_location' => 'footer',
							'items_wrap'     => '%3$s',
							'container'      => false,
							'depth'          => 1,
							'link_before'    => '<span>',
							'link_after'     => '</span>',
							'fallback_cb'    => false,
						)
					);
				echo '</ul></nav>';
			 } 
			 ?>
				
<span id="copyright">
	<?php esc_html_e('Copyright &copy;', 'serifi'); ?>
	<?php echo esc_html( date_i18n( __( 'Y', 'serifi' ) ) ); ?>
	<span id="copyright-name"><?php echo esc_html(get_theme_mod( 'serifi_copyright' )); ?></span>.
	<?php esc_html_e('All rights reserved.', 'serifi'); ?>
	</span>
</section>
	</footer>

</div><!-- #page-->	  

<?php // action hook for any content placed after the page wrapper
do_action ( 'serifi_after_page' );
?>
		
<?php wp_footer(); ?>
</body>
</html>