<?php
/**
 * Theme blog layouts
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/* BLOG LAYOUT
   ====================================================*/
if( ! function_exists( 'serifi_blog_layouts' ) ) :
	function serifi_blog_layouts() {
			
			$serifi_blog_layout = get_theme_mod( 'serifi_blog_layout', 'classic-right' );	
				switch ( esc_attr($serifi_blog_layout ) ) {

					case "center":					
						echo '<div class="container"><div class="row"><div class="col">';
							// action hook for any content placed before the main content
							do_action( 'serifi_before_index_main_content' );
								while ( have_posts() ) : the_post();
									// Get the post summary							
										serifi_template_part( 'index' );						
								endwhile;
							// action hook for any content placed after the main content
							do_action( 'serifi_after_index_main_content' );	
							// blog navigation
							serifi_paging_nav();							
							
						echo '</div></div></div>';							
					break;	
		
					case "classic-left":
						echo '<div class="container"><div class="row"><div class="col-lg-8 order-lg-2">';
							// action hook for any content placed before the main content
							do_action( 'serifi_before_index_main_content' );
								while ( have_posts() ) : the_post();
									// Get the post summary
									serifi_template_part( 'index' );						
								endwhile;	
							// action hook for any content placed after the main content
							do_action( 'serifi_after_index_main_content' );	
							// blog navigation
							serifi_paging_nav();							
							
						echo '</div>';
						
						echo '<aside id="left-sidebar" class="col-lg-4 order-2 order-lg-1 widget-area">';	
							// action hook for any content placed before the left sidebar widgets
							do_action ( 'serifi_before_left_sidebar_widgets' );					
								get_sidebar(); 
							// action hook for any content placed after the left sidebar widgets
							do_action ( 'serifi_after_left_sidebar_widgets' );	
						echo '</aside></div></div>';
					break;	
					
					default:				
						echo '<div class="container"><div class="row"><div class="col-lg-8">';
							// action hook for any content placed before the main content
							do_action( 'serifi_before_index_main_content' );					
								while ( have_posts() ) : the_post();
									// Get the post summary
									serifi_template_part( 'index' );
								endwhile;
							// action hook for any content placed after the main content
							do_action( 'serifi_after_index_main_content' );
							// blog navigation
							serifi_paging_nav();							
						echo '</div>';

						echo '<aside id="right-sidebar" class="col-lg-4 widget-area">';
							// action hook for any content placed before the right sidebar widgets
							do_action ( 'serifi_before_right_sidebar_widgets' );					
								get_sidebar(); 
							// action hook for any content placed after the right sidebar widgets
							do_action ( 'serifi_after_right_sidebar_widgets' );	
						echo '</aside></div></div>';			
		
				}

	}	
endif;	
