<?php
/**
 * The template for displaying all pages
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other 'pages' on your WordPress site may use a different template.
 *
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>


<div class="container">	

	<?php serifi_post_thumbnail(); 	?>
	
	<div class="row">
		<div class="col-lg-8">

			<?php
			// action hook for any content placed before the main content
			do_action( 'serifi_before_page_main_content' );

				while ( have_posts() ) :
					the_post();
					
					serifi_template_part( 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				
				endwhile;

			// action hook for any content placed after the main content
			do_action( 'serifi_after_page_main_content' );
			?>
			
		</div>
		
		<div id="right-sidebar" class="col-lg-4">
			 <?php // action hook for any content placed before the right sidebar widgets
				do_action ( 'serifi_before_right_sidebar_widgets' );

				get_sidebar();
				
				// action hook for any content placed after the right sidebar widgets
				do_action ( 'serifi_after_right_sidebar_widgets' );	
			?>
			
		</div>
	</div>
</div>
		
<?php
get_footer();