<?php
/**
 * 404 content template
 * Template part for displaying a message that posts cannot be found
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>


	<header class="entry-header">
	<h1 id="error-type"><?php esc_html_e( 'ERROR 404', 'serifi' ); ?></h1>
		<h2 class="error-404-title entry-title"><?php esc_html_e( 'Oops! That page appears to be missing or removed.', 'serifi' ); ?></h2>
	</header>

	<?php
	// action hook for anything placed before the main content
	do_action( 'generate_before_404_content' );
	?>
	
	<div class="entry-content">
		<?php printf(
			'<p>%s</p>',
			apply_filters( 'generate_404_text', esc_html__( 'Perhaps try searching for the page with different keywords?', 'serifi' ) ) // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- HTML is allowed in filter here.
		);

		get_search_form();
		?>
	</div>
	
	<?php
	// action hook for anything placed after the main content
	do_action( 'generate_after_404_content' );
	?>

